### Method

# RB PropertyView set_search_func

#### Declaration [src]

    void
    rb_property_view_set_search_func (
      RBPropertyView* view,
      GtkTreeViewSearchEqualFunc func,
      gpointer func_data,
      GDestroyNotify notify
    )

#### Description [src]

Sets the compare function for the interactive search capabilities. The function must return FALSE when the search key string matches the row it is passed.

#### Parameters

`func`

  Type: `GtkTreeViewSearchEqualFunc`

  Tree view search function to use for this view.

`func_data`

  Type: `gpointer`

  Data to pass to the search function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to call to dispose of the data.